Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get person

Get a single person by ID with aggregated stats across all identities

GET/people/{personId}
Authorization
AuthorizationBearer token · headerrequired

Organization API key (modem_…).

Path parameters
personIdstringrequired
matches ^\d+$
Responses
200

OK

avatarUrlstring<uri> | nullrequired

Avatar image URL for the person.

Show properties
Any of:
string<uri>
string<uri>
null
null
avgMessagesPerWeeknumberrequired
companyobject | nullrequired
Show properties
Any of:
object
domainstring | nullrequired
Show properties
Any of:
string
string
null
null
employeesobject[]required
Show properties
Array of object
avatarUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
idstringrequired
namestringrequired
idstringrequired
logoUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
namestringrequired
null
null
connectionsobjectrequired
Show properties
githubstring | nullrequired
Show properties
Any of:
string
string
null
null
linkedinstring | nullrequired
Show properties
Any of:
string
string
null
null
phonestring | nullrequired
Show properties
Any of:
string
string
null
null
titlestring | nullrequired
Show properties
Any of:
string
string
null
null
twitterstring | nullrequired
Show properties
Any of:
string
string
null
null
websitestring | nullrequired
Show properties
Any of:
string
string
null
null
conversationCountintegerrequired
createdAtstring<date-time>
descriptionstring | nullrequired
Show properties
Any of:
string
string
null
null
displayNamestringrequired

Display name for the person.

ecosystemTagsstring[]required
expertiseTagsstring[]required
firstSeenAtstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
idstringrequired
matches ^\d+$
identityCountintegerrequired
isVipbooleanrequired
lastSeenAtstring<date-time> | null
Show properties
Any of:
string<date-time>
string<date-time>
null
null
messageCountintegerrequired
primaryEmailstring<email> | nullrequired
Show properties
Any of:
string<email>
string<email>
null
null
sourcesstring[]required
weeklyActivityinteger[]required
400

Invalid request (validation failed).

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

401

Missing or invalid API key.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

403

The API key does not have access to this resource.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

404

The requested resource was not found.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

429

Rate limit exceeded.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

500

Internal server error.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.modem.dev/v1/people/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "avatarUrl": "http://example.com",
  "avgMessagesPerWeek": 0,
  "company": {
    "domain": "string",
    "employees": [
      {
        "avatarUrl": "string",
        "id": "string",
        "name": "string"
      }
    ],
    "id": "string",
    "logoUrl": "string",
    "name": "string"
  },
  "connections": {
    "github": "string",
    "linkedin": "string",
    "phone": "string",
    "title": "string",
    "twitter": "string",
    "website": "string"
  },
  "conversationCount": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "description": "string",
  "displayName": "string",
  "ecosystemTags": [
    "string"
  ],
  "expertiseTags": [
    "string"
  ],
  "firstSeenAt": "2019-08-24T14:15:22Z",
  "id": "string",
  "identityCount": 0,
  "isVip": true,
  "lastSeenAt": "2019-08-24T14:15:22Z",
  "messageCount": 0,
  "primaryEmail": "user@example.com",
  "sources": [
    "string"
  ],
  "weeklyActivity": [
    0
  ]
}

Was this page helpful?